feat: update chain-id format (#447)

* feat: update chain-id format

* c++

* docs

* additional context'
This commit is contained in:
Federico Kunze Küllmer
2021-08-17 14:11:26 +00:00
committed by GitHub
parent d93205b711
commit aa1b728d34
29 changed files with 119 additions and 66 deletions
+1 -1
View File
@@ -1,7 +1,7 @@
#!/bin/bash
KEY="mykey"
CHAINID="ethermint-100"
CHAINID="ethermint_9000-1"
MONIKER="localtestnet"
# stop and remove existing daemon and client data and process(es)
+1 -1
View File
@@ -17,7 +17,7 @@ RPC_PORT="854"
IP_ADDR="0.0.0.0"
KEY="mykey"
CHAINID="ethermint-2"
CHAINID="ethermint_9000-1"
MONIKER="mymoniker"
## default port prefixes for ethermintd
+1 -1
View File
@@ -10,7 +10,7 @@ localKeyAddr=0x7cb61d4117ae31a12e393a1cfa3bac666481d02e
user1Addr=0xc6fe5d33615a1c52c08018c47e8bc53646a0e101
user2Addr=0x963ebdf2e1f8db8707d05fc75bfeffba1b5bac17
CHAINID="ethermint-1337"
CHAINID="ethermint_9000-1"
# build ethermint binary
make install
+3 -3
View File
@@ -15,7 +15,7 @@ IP_ADDR="0.0.0.0"
MODE="rpc"
KEY="mykey"
CHAINID="ethermint-2"
CHAINID="ethermint_9000-1"
MONIKER="mymoniker"
## default port prefixes for ethermintd
@@ -47,14 +47,14 @@ done
set -euxo pipefail
DATA_DIR=$(mktemp -d -t ethermint-datadir.XXXXX)
DATA_DIR=$(mktemp -d -t ethermint_9000-datadir.XXXXX)
if [[ ! "$DATA_DIR" ]]; then
echo "Could not create $DATA_DIR"
exit 1
fi
DATA_CLI_DIR=$(mktemp -d -t ethermint-cli-datadir.XXXXX)
DATA_CLI_DIR=$(mktemp -d -t ethermint_9000-cli-datadir.XXXXX)
if [[ ! "$DATA_CLI_DIR" ]]; then
echo "Could not create $DATA_CLI_DIR"